cURL
curl --request PATCH \ --url https://api.veryfront.com/conversations/{conversation_id}/messages/{message_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "parts": [ { "type": "text", "text": "<string>" } ] } '
{ "id": "<string>", "conversation_id": "<string>", "seq": 123, "role": "user", "parts": [ { "type": "text", "text": "<string>" } ], "status": "pending", "created_at": "<string>", "parent_id": "<string>", "created_by": "<string>", "model": "<string>", "token_usage": {}, "finish_reason": "<string>", "cost_credits": "<string>", "edited_at": "<string>", "idempotency_key": "<string>", "metadata": {}, "updated_at": "<string>" }
Edits a message.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Message ID
1 - 200
Show child attributes
Updated message
user
assistant
tool
pending
streaming
completed
failed
cancelled